Works with FF17 FB 1.11 for me ! Rated 5 out of 5 stars

Very useful add-on
To get it work with FireFox17 and FireBug1.11, :
1 download xpi file (saves as on "add to firefox" button)
2 rename to amfexplorer.zip
3 unzip the .xpi zip file,
4 add 2 lines to chrome/content/amfexplorer/amfLib.js file (with other const definition)
"const Cc = Components.classes;
const Ci = Components.interfaces;"
5 change version reference in install.rdf
<em:version>0.7 --> 0.7.99
6 change firefox version compatibility
<em:maxVersion>4.0 --> 17.0
7 zip all files into amfexplorer.zip
8 rename as amfExplorer.xpi
9 install into firefox from addons menu "install from file"